﻿using AutoServiceSultik.Entites;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using AutoServiceSultik.Pages;

namespace AutoServiceSultik
{
    /// <summary>
    /// Логика взаимодействия для MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            //ImportData();
            App.MainFrame = MainFrame;
            MainFrame.Navigate(new LoginPage());
        }
        private void ImportData()
        {
            //Клиенты
            var clientsData = File.ReadAllLines(@"C:\Users\sultik\OneDrive\Рабочий стол\resurses\Импорт\Clients.txt");
            for (int i = 0; i < clientsData.Count(); i++)
            {
                var currentClient = clientsData[i].Split('\t');
                var clientForDb = new Client
                {
                    LastName = currentClient[0],
                    FirstName = currentClient[1],
                    Patronymic = currentClient[2],
                    GenderCode = currentClient[3],
                    Phone = currentClient[4],
                    Birthday = DateTime.Parse(currentClient[5]),
                    Email = currentClient[6],
                    RegistrationDate = DateTime.Parse(currentClient[7])
                };
                App.context.Clients.Add(clientForDb);
                App.context.SaveChanges();
            }

            //Услуги
            var serviceData = File.ReadAllLines(@"C:\Users\sultik\OneDrive\Рабочий стол\resurses\Импорт\Service.txt");
            for (int i = 0; i < serviceData.Count(); i++)
            {
                var currentService = serviceData[i].Split('\t');
                var serviceForDb = new Service
                {
                    Title = currentService[0].Trim(),
                    Image = File.ReadAllBytes(@"C:\Users\sultik\OneDrive\Рабочий стол\resurses\Импорт\" + currentService[1].Trim()),
                    DurationInSeconds = int.Parse(currentService[2]),
                    Cost = decimal.Parse(currentService[3]),
                    Discount = Double.Parse(currentService[4])
                };
                App.context.Services.Add(serviceForDb);
                App.context.SaveChanges();
            }

            //Клиент услуга
            var clientServiceData = File.ReadAllLines(@"C:\Users\sultik\OneDrive\Рабочий стол\resurses\Импорт\serviceclient_a_import.txt");
            for (int i = 0; i < clientServiceData.Count(); i++)
            {
                var currentClientService = clientServiceData[i].Split('\t');

                var clientsServiceForDB = new ClientService
                {
                    ServiceID = App.context.Services.ToList().FirstOrDefault(p => p.Title == currentClientService[0]).ID,
                    StartTime = DateTime.Parse(currentClientService[1]),
                    ClientID = App.context.Clients.ToList().FirstOrDefault(p => p.LastName == currentClientService[2]).ID,
                };
                App.context.ClientServices.Add(clientsServiceForDB);
                App.context.SaveChanges();
            }
        }

        private void btnGoBack_Click(object sender, RoutedEventArgs e)
        {
            if(MainFrame.CanGoBack)
            {
                MainFrame.GoBack();
            }
        }
    }
}
